
datablock PlayerData(LegoDragonArmor : PlayerStandardArmor)
{
   renderFirstPerson = false;

   shapeFile = "./Lego Dragon.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;
   cameraVerticalOffset = 2.3;
   computeCRC = false;
  
   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;

	airControl = 1;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5707;
   maxFreelookAngle = 2.0;

   mass = 90;
   drag = 0.028; //0.9
   density = 0.7;
   maxDamage = 270;
   maxEnergy =  150;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 11;
   maxBackwardSpeed = 5;
   maxSideSpeed = 5;

   maxForwardCrouchSpeed = 4;
   maxBackwardCrouchSpeed = 4;
   maxSideCrouchSpeed = 3;

   maxForwardWalkSpeed = 4;
   maxBackwardWalkSpeed = 4;
   maxSideWalkSpeed = 4;

   maxUnderwaterForwardSpeed = 20;
   maxUnderwaterBackwardSpeed = 20;
   maxUnderwaterSideSpeed = 20;

   jumpForce = 2 * 90; //25 * 120;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0.2;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("4 4 4", 4);
   crouchBoundingBox	= vectorScale("4 4 4", 4);
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;

   // Controls over slope of runnable/jumpable surfaces
//   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 90;

//   minJumpSpeed = 20;
//   maxJumpSpeed = 30;

   horizMaxSpeed = 250;
   horizResistSpeed = 180;
   horizResistFactor = 0.1;

   upMaxSpeed = 200;
   upResistSpeed = 150;
   upResistFactor = 0.1;

	JumpSound			= LegoDragonJumpSound;

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Lego Dragon - Not Rideable";
	rideable = false;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

//	brickImage = horseBrickImage;	//the imageData to use for brick deployment

   numMountPoints = 0;
//   mountThread[0] = "root";
//   mountNode[0] = 2;

	useCustomPainEffects = false;
	PainHighImage = "";
	PainMidImage  = "";
	PainLowImage  = "";
	painSound     = "DragonPainSound";
	deathSound    = "DragonDeathSound";
};

function LegoDragonArmor::onTrigger(%this, %obj, %trig, %press) {
	if(%trig == 2 && %press && getsimtime() >= %obj.lastjump+400)
	{
		//flap code goes here. What follows is a recreation of the standard jump on a standard armor MINUS a check to be sure we're touching the ground - flying is possible with this.

		//pretty sure it doesn't play a sound either, because, again, I didn't need it for my purposes.
		%obj.forbidJump = true;
		%obj.addVelocity("0 0 12");
		%obj.playThread(0, "Jump"); //animation
		ServerPlay3D(LegoDragonJumpSound, %obj.getPosition());
		%obj.lastjump = getsimtime();
	}
	else Parent::onTrigger(%this, %obj, %trig, %press);
}