datablock TSShapeConstructor(LegoDragonDts)
{
	baseShape  = "./Lego Dragon.dts";
	sequence0  = "./Dragon_root.dsq root";

	sequence1  = "./Dragon_walk.dsq run";
	sequence2  = "./Dragon_walk.dsq walk";
	sequence3  = "./Dragon_backwards.dsq back";
	sequence4  = "./Dragon_strafe.dsq side";

	sequence5  = "./Dragon_crouch.dsq crouch";
	sequence6  = "./Dragon_crouchforwards.dsq crouchRun";
	sequence7  = "./Dragon_crouchbackward.dsq crouchBack";
	sequence8  = "./Dragon_crouchstrafe.dsq crouchSide";

	sequence9  = "./Dragon_look.dsq look";
	sequence10 = "./Dragon_root.dsq headside";
	sequence11 = "./Dragon_root.dsq headUp";

	sequence12 = "./Dragon_jump.dsq jump";
	sequence13 = "./Dragon_jump.dsq standjump";
	sequence14 = "./Dragon_root.dsq fall";
	sequence15 = "./Dragon_root.dsq land";

	sequence16 = "./Dragon_activate1.dsq armAttack";
	sequence17 = "./Dragon_root.dsq armReadyLeft";
	sequence18 = "./Dragon_root.dsq armReadyRight";
	sequence19 = "./Dragon_root.dsq armReadyBoth";
	sequence20 = "./Dragon_root.dsq spearready";  
	sequence21 = "./Dragon_root.dsq spearThrow";

	sequence22 = "./Dragon_talk.dsq talk";  

	sequence23 = "./Dragon_death.dsq death1"; 
	
	sequence24 = "./Dragon_root.dsq shiftUp";
	sequence25 = "./Dragon_root.dsq shiftDown";
	sequence26 = "./Dragon_root.dsq shiftAway";
	sequence27 = "./Dragon_root.dsq shiftTo";
	sequence28 = "./Dragon_root.dsq shiftLeft";
	sequence29 = "./Dragon_root.dsq shiftRight";
	sequence30 = "./Dragon_root.dsq rotCW";
	sequence31 = "./Dragon_root.dsq rotCCW";

	sequence32 = "./Dragon_root.dsq undo";
	sequence33 = "./Dragon_root.dsq plant";

	sequence34 = "./Dragon_root.dsq sit";

	sequence35 = "./Dragon_root.dsq wrench";

   sequence36 = "./Dragon_activate1.dsq activate";
   sequence37 = "./Dragon_activate2.dsq activate2";

   sequence38 = "./Dragon_root.dsq leftrecoil";
}; 

datablock PlayerData(RideableLegoDragonArmor : PlayerStandardArmor)
{
   renderFirstPerson = false;

   shapeFile = "./Lego Dragon.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;
   cameraVerticalOffset = 2.3;
   computeCRC = false;
  
   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;

	airControl = 1;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5707;
   maxFreelookAngle = 2.0;

   mass = 90;
   drag = 0.028; //0.9
   density = 0.7;
   maxDamage = 270;
   maxEnergy =  150;

   rechargeRate = 0.4;

   runForce = 28 * 90;//3000 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 11;
   maxBackwardSpeed = 5;
   maxSideSpeed = 5;

   maxForwardCrouchSpeed = 4;
   maxBackwardCrouchSpeed = 4;
   maxSideCrouchSpeed = 3;

   maxForwardWalkSpeed = 4;
   maxBackwardWalkSpeed = 4;
   maxSideWalkSpeed = 4;

   maxUnderwaterForwardSpeed = 20;
   maxUnderwaterBackwardSpeed = 20;
   maxUnderwaterSideSpeed = 20;

   jumpForce = 2 * 90; //25 * 120;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0.2;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("4 4 4", 4);
   crouchBoundingBox	= vectorScale("4 4 4", 4);
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;

   // Controls over slope of runnable/jumpable surfaces
//   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 90;

//   minJumpSpeed = 20;
//   maxJumpSpeed = 30;

   horizMaxSpeed = 250;
   horizResistSpeed = 180;
   horizResistFactor = 0.1;

   upMaxSpeed = 200;
   upResistSpeed = 150;
   upResistFactor = 0.1;

	JumpSound			= LegoDragonJumpSound;

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Lego Dragon - Rideable";
	rideable = true;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

//	brickImage = horseBrickImage;	//the imageData to use for brick deployment

   numMountPoints = 1;
   mountNode[0] = 2;
   mountThread[2] = "Sit";

	useCustomPainEffects = false;
	PainHighImage = "";
	PainMidImage  = "";
	PainLowImage  = "";
	painSound     = "DragonPainSound";
	deathSound    = "DragonDeathSound";
};

function RideableLegoDragonArmor::onTrigger(%this, %obj, %trig, %press) {
	if(%trig == 2 && %press && getsimtime() >= %obj.lastjump+400)
	{
		//flap code goes here. What follows is a recreation of the standard jump on a standard armor MINUS a check to be sure we're touching the ground - flying is possible with this.

		//pretty sure it doesn't play a sound either, because, again, I didn't need it for my purposes.
		%obj.forbidJump = true;
		%obj.addVelocity("0 0 12");
		%obj.playThread(0, "Jump"); //animation
		ServerPlay3D(LegoDragonJumpSound, %obj.getPosition());
		%obj.lastjump = getsimtime();
	}
	else Parent::onTrigger(%this, %obj, %trig, %press);
}

//called when the driver of a player-vehicle is unmounted
function RiedeableLegoDragonArmor::onDriverLeave(%obj, %player)
{
	//do nothing
}