exec("./Player_RideableDragon.cs"); 
exec("./Player_Dragon.cs");

datablock AudioProfile(LegoDragonJumpSound)
{
   fileName = "./jumpAirDragon.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(LegoDragonPainSound)
{
   fileName = "./drpain.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(LegoDragonDeathSound)
{
   fileName = "./drdeath1.wav";
   description = AudioClose3d;
   preload = true;
};

function player::fixAppearanceLegoDragon(%pl,%cl)
{
	%pl.setNodeColor("head",%cl.headColor);
	
	%pl.setNodeColor("Body",%cl.chestColor);
	%pl.setNodeColor("Tail",%cl.hipColor);
	
	%pl.setNodeColor("RWing",%cl.RArmColor);
	%pl.setNodeColor("LWing",%cl.LArmColor);
	
	%pl.setNodeColor("RArm",%cl.rhandColor);
	%pl.setNodeColor("LArm",%cl.lhandColor);
}

function allowJump(%obj) {
	if(!isObject(%obj)) 
		return;
	%obj.forbidJump = false;
}

package playerLegoDragon
{
	function gameConnection::applyBodyColors(%cl,%o) 
	{
		parent::applyBodyColors(%cl,%o);
		if(isObject(%pl = %cl.player))
			if((%pl.getDatablock()).shapeFile $= "Add-Ons/Player_LegoDragon/Lego Dragon.dts")
			{
				%pl.fixAppearanceLegoDragon(%cl);
			}
	}
};
activatePackage(playerLegoDragon);